Bug 193979 - Mesa isn't getting built with optimizations or -DGLX_USE_TLS
Mesa isn't getting built with optimizations or -DGLX_USE_TLS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-03 15:34 EDT by Nicholas Miell
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-05 02:10:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicholas Miell 2006-06-03 15:34:33 EDT
mesa-6.5-build-config.patch very carefully sets ARCH_FLAGS to -DGLX_USE_TLS in
linux-dri, however linux-dri-x86 and linux-dri-x86-64 use = instead of += to
alter ARCH_FLAGS, which means -DGLX_USE_TLS is lost.
Comment 1 Nicholas Miell 2006-06-03 15:39:01 EDT
Same thing happens with OPT_FLAGS, so Mesa is getting built with -g and nothing
else.
Comment 2 Nicholas Miell 2006-06-03 15:52:33 EDT
Actually, the spec passes $RPM_OPT_FLAGS in via CFLAGS, but the Mesa configs
still manage to clobber CFLAGS.
Comment 3 Mike A. Harris 2006-07-05 02:10:37 EDT
(In reply to comment #0)
> mesa-6.5-build-config.patch very carefully sets ARCH_FLAGS to -DGLX_USE_TLS in
> linux-dri, however linux-dri-x86 and linux-dri-x86-64 use = instead of += to
> alter ARCH_FLAGS, which means -DGLX_USE_TLS is lost.

Fixed in 6.5-11.



(In reply to comment #1)
> Same thing happens with OPT_FLAGS, so Mesa is getting built with -g and nothing
> else.
(In reply to comment #2)
> Actually, the spec passes $RPM_OPT_FLAGS in via CFLAGS, but the Mesa configs
> still manage to clobber CFLAGS.

I've changed the spec file to pass OPT_FLAGS instead of CFLAGS now, but
it remains untested.  If it still doesn't work once it hits rawhide (which
I suspect may be the case), please file a separate bug for the optflags
issue and we'll try to get that in the next update.

TIA

Note You need to log in before you can comment on or make changes to this bug.